From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Mon, 3 Mar 2025 22:42:13 +0100
Subject: Modernize PHPUnit syntax

---
 tests/Argument/Token/ExactValueTokenTest.php       |  27 +--
 tests/Comparator/FactoryProviderTest.php           |   5 +-
 tests/Doubler/ClassPatch/MagicCallPatchTest.php    |   9 +-
 tests/Doubler/Generator/ClassMirrorTest.php        | 193 ++++++---------------
 .../Generator/Node/TypeNodeAbstractTest.php        |   8 +-
 tests/FunctionalTest.php                           |  13 +-
 6 files changed, 72 insertions(+), 183 deletions(-)

diff --git a/tests/Argument/Token/ExactValueTokenTest.php b/tests/Argument/Token/ExactValueTokenTest.php
index f070cf1..57e4809 100644
--- a/tests/Argument/Token/ExactValueTokenTest.php
+++ b/tests/Argument/Token/ExactValueTokenTest.php
@@ -2,16 +2,17 @@
 
 namespace Tests\Prophecy\Argument\Token;
 
+use PHPUnit\Framework\Attributes\Test;
 use PHPUnit\Framework\TestCase;
 use Prophecy\Argument\Token\ExactValueToken;
 
 class ExactValueTokenTest extends TestCase
 {
     /**
-     * @test
      * @see https://github.com/phpspec/prophecy/issues/268
      * @see https://stackoverflow.com/a/19097159/2424814
      */
+    #[Test]
     public function does_not_trigger_nesting_error()
     {
         $child1 = new ChildClass('A', new ParentClass());
@@ -21,9 +22,7 @@ class ExactValueTokenTest extends TestCase
         self::assertEquals(false, $exactValueToken->scoreArgument($child2));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function scores_10_for_objects_with_same_fields()
     {
         $child1 = new ChildClass('A', new ParentClass());
@@ -33,9 +32,7 @@ class ExactValueTokenTest extends TestCase
         self::assertEquals(10, $exactValueToken->scoreArgument($child2));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function scores_10_for_matching_callables()
     {
         $callable = function () {};
@@ -44,9 +41,7 @@ class ExactValueTokenTest extends TestCase
         self::assertEquals(10, $exactValueToken->scoreArgument($callable));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function scores_false_for_object_and_string()
     {
         $child1 = new ChildClass('A', new ParentClass());
@@ -55,9 +50,7 @@ class ExactValueTokenTest extends TestCase
         self::assertEquals(false, $exactValueToken->scoreArgument("A"));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function scores_false_for_object_and_int()
     {
         $child1 = new ChildClass('A', new ParentClass());
@@ -66,9 +59,7 @@ class ExactValueTokenTest extends TestCase
         self::assertEquals(false, $exactValueToken->scoreArgument(100));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function scores_false_for_object_and_stdclass()
     {
         $child1 = new ChildClass('A', new ParentClass());
@@ -77,9 +68,7 @@ class ExactValueTokenTest extends TestCase
         self::assertEquals(false, $exactValueToken->scoreArgument(new \stdClass()));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function scores_false_for_object_and_null()
     {
         $child1 = new ChildClass('A', new ParentClass());
diff --git a/tests/Comparator/FactoryProviderTest.php b/tests/Comparator/FactoryProviderTest.php
index c076094..3ea71a7 100644
--- a/tests/Comparator/FactoryProviderTest.php
+++ b/tests/Comparator/FactoryProviderTest.php
@@ -4,13 +4,12 @@ namespace Tests\Prophecy\Comparator;
 
 use Prophecy\Comparator\ClosureComparator;
 use Prophecy\Comparator\FactoryProvider;
+use PHPUnit\Framework\Attributes\Test;
 use PHPUnit\Framework\TestCase;
 
 class FactoryProviderTest extends TestCase
 {
-    /**
-     * @test
-     */
+    #[Test]
     function it_should_have_ClosureComparator_registered()
     {
         $comparator = FactoryProvider::getInstance()->getComparatorFor(function () {}, function () {});
diff --git a/tests/Doubler/ClassPatch/MagicCallPatchTest.php b/tests/Doubler/ClassPatch/MagicCallPatchTest.php
index 4ff0acd..9d05481 100644
--- a/tests/Doubler/ClassPatch/MagicCallPatchTest.php
+++ b/tests/Doubler/ClassPatch/MagicCallPatchTest.php
@@ -2,6 +2,7 @@
 
 namespace Tests\Prophecy\Doubler\ClassPatch;
 
+use PHPUnit\Framework\Attributes\Test;
 use PHPUnit\Framework\TestCase;
 use Prophecy\Doubler\ClassPatch\MagicCallPatch;
 use Prophecy\Doubler\Generator\ClassMirror;
@@ -10,9 +11,7 @@ use Prophecy\Doubler\Generator\Node\ClassNode;
 
 class MagicCallPatchTest extends TestCase
 {
-    /**
-     * @test
-     */
+    #[Test]
     public function it_supports_classes_with_invalid_tags()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithPhpdocClass');
@@ -29,9 +28,7 @@ class MagicCallPatchTest extends TestCase
         $this->assertTrue(true);
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_supports_arguments_for_magic_methods()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithPhpdocClass');
diff --git a/tests/Doubler/Generator/ClassMirrorTest.php b/tests/Doubler/Generator/ClassMirrorTest.php
index b77a9c3..d17c95b 100644
--- a/tests/Doubler/Generator/ClassMirrorTest.php
+++ b/tests/Doubler/Generator/ClassMirrorTest.php
@@ -3,6 +3,7 @@
 namespace Tests\Prophecy\Doubler\Generator;
 
 use Fixtures\Prophecy\SelfReferencing;
+use PHPUnit\Framework\Attributes\Test;
 use PHPUnit\Framework\TestCase;
 use Prophecy\Doubler\Generator\ClassMirror;
 use Prophecy\Doubler\Generator\Node\ArgumentTypeNode;
@@ -13,9 +14,7 @@ use Prophecy\Prophet;
 
 class ClassMirrorTest extends TestCase
 {
-    /**
-     * @test
-     */
+    #[Test]
     public function it_reflects_allowed_magic_methods()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\SpecialMethods');
@@ -27,9 +26,7 @@ class ClassMirrorTest extends TestCase
         $this->assertCount(7, $node->getMethods());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_reflects_protected_abstract_methods()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithProtectedAbstractMethod');
@@ -46,9 +43,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals('protected', $methodNodes['innerDetail']->getVisibility());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_reflects_public_static_methods()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithStaticMethod');
@@ -65,9 +60,7 @@ class ClassMirrorTest extends TestCase
         $this->assertTrue($methodNodes['innerDetail']->isStatic());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_marks_required_args_without_types_as_not_optional()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithArguments');
@@ -88,9 +81,7 @@ class ClassMirrorTest extends TestCase
         $this->assertFalse($argNodes[0]->isVariadic());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_properly_reads_methods_arguments_with_types()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithArguments');
@@ -123,9 +114,7 @@ class ClassMirrorTest extends TestCase
         $this->assertFalse($argNodes[2]->isVariadic());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_properly_reads_methods_arguments_with_callable_types()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithCallableArgument');
@@ -152,9 +141,7 @@ class ClassMirrorTest extends TestCase
         $this->assertFalse($argNodes[1]->isVariadic());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_properly_reads_methods_variadic_arguments()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithVariadicArgument');
@@ -174,9 +161,7 @@ class ClassMirrorTest extends TestCase
         $this->assertTrue($argNodes[0]->isVariadic());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_properly_reads_methods_typehinted_variadic_arguments()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithTypehintedVariadicArgument');
@@ -196,9 +181,7 @@ class ClassMirrorTest extends TestCase
         $this->assertTrue($argNodes[0]->isVariadic());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_marks_passed_by_reference_args_as_passed_by_reference()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithReferences');
@@ -217,9 +200,7 @@ class ClassMirrorTest extends TestCase
         $this->assertTrue($argNodes[1]->isPassedByReference());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_throws_an_exception_if_class_is_final()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\FinalClass');
@@ -231,9 +212,7 @@ class ClassMirrorTest extends TestCase
         $mirror->reflect($class, array());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_ignores_final_methods()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithFinalMethod');
@@ -245,9 +224,7 @@ class ClassMirrorTest extends TestCase
         $this->assertCount(0, $classNode->getMethods());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_marks_final_methods_as_unextendable()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithFinalMethod');
@@ -260,9 +237,7 @@ class ClassMirrorTest extends TestCase
         $this->assertFalse($classNode->isExtendable('finalImplementation'));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_throws_an_exception_if_interface_provided_instead_of_class()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\EmptyInterface');
@@ -274,9 +249,7 @@ class ClassMirrorTest extends TestCase
         $mirror->reflect($class, array());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_reflects_all_interfaces_methods()
     {
         $mirror = new ClassMirror();
@@ -299,9 +272,7 @@ class ClassMirrorTest extends TestCase
         $this->assertTrue($classNode->hasMethod('getVisibility'));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_ignores_virtually_private_methods()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithVirtuallyPrivateMethod');
@@ -316,9 +287,7 @@ class ClassMirrorTest extends TestCase
         $this->assertFalse($classNode->hasMethod('_getName'));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_does_not_throw_exception_for_virtually_private_finals()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithFinalVirtuallyPrivateMethod');
@@ -330,9 +299,7 @@ class ClassMirrorTest extends TestCase
         $this->assertCount(0, $classNode->getMethods());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_reflects_return_typehints()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\WithReturnTypehints');
@@ -351,9 +318,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ReturnTypeNode('\Fixtures\Prophecy\EmptyClass'), $classNode->getMethod('getParent')->getReturnTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_throws_an_exception_if_class_provided_in_interfaces_list()
     {
         $class = new \ReflectionClass('Fixtures\Prophecy\EmptyClass');
@@ -365,9 +330,7 @@ class ClassMirrorTest extends TestCase
         $mirror->reflect(null, array($class));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_throws_an_exception_if_not_reflection_provided_as_interface()
     {
         $mirror = new ClassMirror();
@@ -377,9 +340,7 @@ class ClassMirrorTest extends TestCase
         $mirror->reflect(null, array(null));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_doesnt_use_scalar_typehints()
     {
         if (PHP_VERSION_ID >= 80000) {
@@ -397,9 +358,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode(), $arguments[2]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_doesnt_fail_to_typehint_nonexistent_FQCN()
     {
         $mirror = new ClassMirror();
@@ -410,9 +369,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('I\Simply\Am\Nonexistent'), $arguments[0]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_doesnt_fail_on_array_nullable_parameter_with_not_null_default_value()
     {
         $mirror = new ClassMirror();
@@ -423,9 +380,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('array', 'null'), $arguments[0]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_doesnt_fail_to_typehint_nonexistent_RQCN()
     {
         $mirror = new ClassMirror();
@@ -436,9 +391,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('I\Simply\Am\Not'), $arguments[0]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     function it_doesnt_fail_when_method_is_extended_with_more_params()
     {
         $mirror = new ClassMirror();
@@ -454,9 +407,7 @@ class ClassMirrorTest extends TestCase
         $this->assertCount(2, $method->getArguments());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     function it_doesnt_fail_to_mock_self_referencing_interface()
     {
         $mirror = new ClassMirror();
@@ -471,9 +422,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ReturnTypeNode(SelfReferencing::class), $method->getReturnTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     function it_changes_argument_names_if_they_are_varying()
     {
         // Use test doubles in this test, as arguments named ... in the Reflection API can only happen for internal classes
@@ -526,7 +475,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals('__dot_dot_dot__', $argumentNode->getName());
     }
 
-    /** @test */
+    #[Test]
     public function it_can_double_a_class_with_union_return_types()
     {
         if (PHP_VERSION_ID < 80000) {
@@ -539,9 +488,7 @@ class ClassMirrorTest extends TestCase
         $this->assertSame(['\stdClass', 'bool'], $methodNode->getReturnTypeNode()->getTypes());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_class_with_union_return_type_with_false()
     {
         if (PHP_VERSION_ID < 80000) {
@@ -554,7 +501,7 @@ class ClassMirrorTest extends TestCase
         $this->assertSame(['\stdClass', 'false'], $methodNode->getReturnTypeNode()->getTypes());
     }
 
-    /** @test */
+    #[Test]
     public function it_can_double_a_class_with_union_argument_types()
     {
         if (PHP_VERSION_ID < 80000) {
@@ -567,9 +514,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('bool', '\\stdClass'), $methodNode->getArguments()[0]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_class_with_union_argument_type_with_false()
     {
         if (PHP_VERSION_ID < 80000) {
@@ -582,7 +527,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('false', '\stdClass'), $methodNode->getArguments()[0]->getTypeNode());
     }
 
-    /** @test */
+    #[Test]
     public function it_can_double_a_class_with_mixed_types()
     {
         if (PHP_VERSION_ID < 80000) {
@@ -596,7 +541,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ReturnTypeNode('mixed'), $methodNode->getReturnTypeNode());
     }
 
-    /** @test */
+    #[Test]
     public function it_can_double_inherited_self_return_type()
     {
         $classNode = (new ClassMirror())->reflect(new \ReflectionClass('Fixtures\Prophecy\ClassExtendAbstractWithMethodWithReturnType'), []);
@@ -605,9 +550,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ReturnTypeNode('Fixtures\Prophecy\AbstractBaseClassWithMethodWithReturnType'), $methodNode->getReturnTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_never_return_type()
     {
         if (PHP_VERSION_ID < 80100) {
@@ -621,9 +564,7 @@ class ClassMirrorTest extends TestCase
 
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_not_double_an_enum()
     {
         if (PHP_VERSION_ID < 80100) {
@@ -635,9 +576,7 @@ class ClassMirrorTest extends TestCase
         $classNode = (new ClassMirror())->reflect(new \ReflectionClass('Fixtures\Prophecy\Enum'), []);
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_not_double_intersection_return_types()
     {
         if (PHP_VERSION_ID < 80100) {
@@ -649,9 +588,7 @@ class ClassMirrorTest extends TestCase
         $classNode = (new ClassMirror())->reflect(new \ReflectionClass('Fixtures\Prophecy\IntersectionReturnType'), []);
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_not_double_intersection_argument_types()
     {
         if (PHP_VERSION_ID < 80100) {
@@ -663,9 +600,7 @@ class ClassMirrorTest extends TestCase
         $classNode = (new ClassMirror())->reflect(new \ReflectionClass('Fixtures\Prophecy\IntersectionArgumentType'), []);
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_standalone_return_type_of_false()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -678,9 +613,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ReturnTypeNode('false'), $methodNode->getReturnTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_standalone_parameter_type_of_false()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -694,9 +627,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('false'), $arguments[0]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_nullable_return_type_of_false()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -709,9 +640,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ReturnTypeNode('null', 'false'), $methodNode->getReturnTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_nullable_parameter_type_of_false()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -725,9 +654,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('null', 'false'), $arguments[0]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_not_double_dnf_intersection_argument_types()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -739,9 +666,7 @@ class ClassMirrorTest extends TestCase
         $classNode = (new ClassMirror())->reflect(new \ReflectionClass('Fixtures\Prophecy\DnfArgumentType'), []);
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_not_double_dnf_intersection_return_types()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -753,9 +678,7 @@ class ClassMirrorTest extends TestCase
         $classNode = (new ClassMirror())->reflect(new \ReflectionClass('Fixtures\Prophecy\DnfReturnType'), []);
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_standalone_return_type_of_true()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -768,9 +691,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ReturnTypeNode('true'), $methodNode->getReturnTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_reflects_non_read_only_class()
     {
         $classNode = (new ClassMirror())->reflect(
@@ -781,9 +702,7 @@ class ClassMirrorTest extends TestCase
         $this->assertFalse($classNode->isReadOnly());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_standalone_parameter_type_of_true()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -797,9 +716,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('true'), $arguments[0]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_nullable_return_type_of_true()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -812,9 +729,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ReturnTypeNode('null', 'true'), $methodNode->getReturnTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_nullable_parameter_type_of_true()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -828,9 +743,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('null', 'true'), $arguments[0]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_standalone_return_type_of_null()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -843,9 +756,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ReturnTypeNode('null'), $methodNode->getReturnTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_can_double_a_standalone_parameter_type_of_null()
     {
         if (PHP_VERSION_ID < 80200) {
@@ -859,9 +770,7 @@ class ClassMirrorTest extends TestCase
         $this->assertEquals(new ArgumentTypeNode('null'), $arguments[0]->getTypeNode());
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_reflects_read_only_class()
     {
         if (PHP_VERSION_ID < 80200) {
diff --git a/tests/Doubler/Generator/Node/TypeNodeAbstractTest.php b/tests/Doubler/Generator/Node/TypeNodeAbstractTest.php
index ad43c4d..de16db7 100644
--- a/tests/Doubler/Generator/Node/TypeNodeAbstractTest.php
+++ b/tests/Doubler/Generator/Node/TypeNodeAbstractTest.php
@@ -2,6 +2,8 @@
 
 namespace Tests\Prophecy\Doubler\Generator\Node;
 
+use PHPUnit\Framework\Attributes\DataProvider;
+use PHPUnit\Framework\Attributes\Test;
 use PHPUnit\Framework\TestCase;
 use Prophecy\Doubler\Generator\Node\ArgumentTypeNode;
 use Prophecy\Doubler\Generator\Node\ReturnTypeNode;
@@ -32,10 +34,8 @@ class TypeNodeAbstractTest extends TestCase
         }
     }
 
-    /**
-     * @test
-     * @dataProvider childClassDataProvider
-     */
+    #[Test]
+    #[DataProvider('childClassDataProvider')]
     public function it_can_use_null_shorthand_only_with_two_types(TypeNodeAbstract $node, bool $expected): void
     {
         $this->assertSame($expected, $node->canUseNullShorthand());
diff --git a/tests/FunctionalTest.php b/tests/FunctionalTest.php
index 69f9857..3cbd1a7 100644
--- a/tests/FunctionalTest.php
+++ b/tests/FunctionalTest.php
@@ -2,6 +2,7 @@
 
 namespace Tests\Prophecy;
 
+use PHPUnit\Framework\Attributes\Test;
 use PHPUnit\Framework\TestCase;
 use Prophecy\Doubler\DoubleInterface;
 use Prophecy\Prophecy\ProphecySubjectInterface;
@@ -9,9 +10,7 @@ use Prophecy\Prophet;
 
 class FunctionalTest extends TestCase
 {
-    /**
-     * @test
-     */
+    #[Test]
     public function case_insensitive_method_names()
     {
         $prophet = new Prophet();
@@ -26,9 +25,7 @@ class FunctionalTest extends TestCase
         self::assertSame(3, $arrayObject->offsetGet(3));
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_implements_the_double_interface()
     {
         $prophet = new Prophet();
@@ -37,9 +34,7 @@ class FunctionalTest extends TestCase
         $this->assertInstanceOf(DoubleInterface::class, $object);
     }
 
-    /**
-     * @test
-     */
+    #[Test]
     public function it_implements_the_prophecy_subject_interface()
     {
         $prophet = new Prophet();
